Bug 8693 - in.telnetd performs poorly compared to in.rlogind
in.telnetd performs poorly compared to in.rlogind
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: telnet (Show other bugs)
6.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-01-21 05:30 EST by Reinder van der Veen
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-24 11:09:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Reinder van der Veen 2000-01-21 05:30:56 EST
I have connected dumb terminals to RH6.1 through a ShivaPort ATOM terminal
server. When connecting to Linux the screens build-up poorly, it may take
3-5 secs to draw one 25x80 screen. Telnet is used to make the connection.
If I make a connection through the ShivaPort to an AIX machine and then
make a connection to Linux with rlogin it works fine.

It worked fine under RH5.2.
Comment 1 Henri Schlereth 2001-02-07 11:07:34 EST
Have you tried the newer versions? Does this problem still exist for you?
Comment 2 Reinder van der Veen 2001-04-18 14:06:28 EDT
Today (april 18 2001) I made a connection using RedHat 7.0 and the problem 
still exists.
Comment 3 Harald Hoyer 2001-05-10 08:14:57 EDT
Can you please give me a dump of your environment variables in both cases?
Comment 4 Reinder van der Veen 2001-05-10 09:44:58 EDT
How do I make a dump of the environment variables in both cases?
Do you mean de shell environment or other system variables?
Comment 5 Harald Hoyer 2001-05-10 11:20:41 EDT
The environment variables.
$ set
Comment 6 Reinder van der Veen 2001-05-14 06:46:52 EDT
Settings Red Hat Linux release 6.1 (Cartman):

BASH=/bin/bash
BASH_ENV=/home/reinder/.bashrc
BASH_VERSION=1.14.7(1)
COLUMNS=80
EUID=501
HISTFILE=/home/reinder/.bash_history
HISTFILESIZE=1000
HISTSIZE=1000
HOME=/user2/src
HOSTNAME=schim_linux
HOSTTYPE=i386
IFS= 

INPUTRC=/etc/inputrc
KDEDIR=/usr
LANG=en_US
LC_ALL=en_US
LINES=24
LINGUAS=en_US
LOGNAME=reinder
MAIL=/var/spool/mail/reinder
MAILCHECK=60
OLDPWD=/home/reinder
OPTERR=1
OPTIND=1
OSTYPE=Linux
PATH=/user2/scripts:/user2/src/scripts:/usr/local/bin:/bin:/usr/bin:/usr/X11R6/b
in:/home/reinder/bin
PPID=4434
PS1=[schim_linux] ${PWD} reinder: 
PS2=> 
PS4=+ 
PWD=/user2/src
QTDIR=/usr/lib/qt-2.0.1
SHELL=/bin/bash
SHLVL=1
TERM=vt100
UID=501
USER=reinder
USERNAME=
_=set
kdepath=/usr/bin
mc=() 
{ 
    mkdir -p ~/.mc/tmp 2>/dev/null;
    chmod 700 ~/.mc/tmp;
    MC=~/.mc/tmp/mc$$-"$RANDOM";
    /usr/bin/mc -P "$@" >"$MC";
    cd "`cat $MC`";
    rm "$MC";
    unset MC
}

=======================================================================

Setting Red Hat Linux release 7.0 (Guinness):

BASH=/bin/bash
BASH_ENV=/home/reinder/.bashrc
BASH_VERSINFO=([0]="2" [1]="04" [2]="11" [3]="1" [4]="release" [5]="i386-redhat-
linux-gnu")
BASH_VERSION='2.04.11(1)-release'
COLORS=/etc/DIR_COLORS
COLUMNS=80
DIRSTACK=()
EUID=501
GROUPS=()
HISTFILE=/home/reinder/.bash_history
HISTFILESIZE=1000
HISTSIZE=1000
HOME=/user2/src
HOSTNAME=schim_linux1
HOSTTYPE=i386
IFS=' 
'
KDEDIR=/usr
LANG=en_US
LESSOPEN='|/usr/bin/lesspipe.sh %s'
LINES=24
LOGNAME=reinder
LS_COLORS='no=00:fi=00:di=01;34:ln=01;36:pi=40;33:so=01;35:bd=40;33;01:cd=40;33;
01:or=01;05;37;41:mi=01;05;37;41:ex=01;32:*.cmd=01;32:*.exe=01;32:*.com=01;32:*.
btm=01;32:*.bat=01;32:*.sh=01;32:*.csh=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31
:*.taz=01;31:*.lzh=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.gz=01;31:*.bz2=01;31:
*.bz=01;31:*.tz=01;31:*.rpm=01;31:*.cpio=01;31:*.jpg=01;35:*.gif=01;35:*.bmp=01;
35:*.xbm=01;35:*.xpm=01;35:*.png=01;35:*.tif=01;35:'
MACHTYPE=i386-redhat-linux-gnu
MAIL=/var/spool/mail/reinder
MAILCHECK=60
OLDPWD=/user2
OPTERR=1
OPTIND=1
OSTYPE=linux-gnu
PATH=/user2/scripts:/user2/src/scripts:/usr/kerberos/bin:/usr/local/bin:/bin:/us
r/bin:/usr/X11R6/bin:/home/reinder/bin
PIPESTATUS=([0]="0")
PPID=1135
PS1='[schim_linux1] ${PWD} reinder: '
PS2='> '
PS4='+ '
PVM_ROOT=/usr/share/pvm3
PVM_RSH=/usr/bin/rsh
PWD=/user2/backup
QTDIR=/usr/lib/qt-2.2.0
REMOTEHOST=ts1
SHELL=/bin/bash
SHELLOPTS=braceexpand:hashall:histexpand:monitor:interactive-comments:vi
SHLVL=1
TERM=vt100
UID=501
USER=reinder
USERNAME=
XPVM_ROOT=/usr/share/pvm3/xpvm
_=backup
kdepath=/usr/bin
langfile=/home/reinder/.i18n
sourced=1
mc=() 
{ 
    mkdir -p ~/.mc/tmp 2>/dev/null;
    chmod 700 ~/.mc/tmp;
    MC=~/.mc/tmp/mc-$$;
    /usr/bin/mc -P "$@" >"$MC";
    cd "`cat $MC`";
    /bin/rm "$MC";
    unset MC
}

=======================================================================

Settings terminal line on Shiva Port:
   Line Number                :0
   Line Type                  : Terminal

   PHYSICAL LINE CHARACTERISTICS
   Baud Rate                  : 115200
   Input  Flow Control        : XOFF
   Output Flow Control        : XOFF
   Stop Bits/BPC/Parity       : 1/8/NONE
   Transparency Mode          : OFF
   Modem DCD/DTR Control      : OFF
   Session Start Configuration: NONE
   Session End Configuration  : NONE

   USER LINE CHARACTERISTICS
   Line Mode                  : Demand
   User Login                 : Disabled
   Accept Broadcast           : Enabled 
   Suppress Text              : Disabled
   Accounting Class           : NONE
   User Idle Timeout          : NONE
   User Session Timeout       : NONE
   Terminal type              : vt100
   Default Host               : `schim_linux1'
Comment 7 Harald Hoyer 2001-05-14 06:55:11 EDT
I need the $set from the rlogin session through the AIX machine..
Comment 8 Reinder van der Veen 2001-05-14 08:10:09 EDT
Setting AIX Version 4

AUTHSTATE=compat
ERRNO=0
FCEDIT=/usr/bin/ed
HOME=/
IFS='   
'
LANG=en_US
LC__FASTMSG=true
LINENO=1
LOCPATH=/usr/lib/nls/loc
LOGIN=root
LOGNAME=root
MAIL=/usr/spool/mail/root
MAILCHECK=600
MAILMSG='[YOU HAVE NEW MAIL]'
NLSPATH=/usr/lib/nls/msg/%L/%N:/usr/lib/nls/msg/%L/%N.cat
ODMDIR=/etc/objrepos
OPTIND=1
PATH=/usr/bin:/etc:/usr/sbin:/usr/ucb:/usr/bin/X11:/sbin:/user1/WP/wpbin:/user1/
WP/shbin
PPID=7856
PS1='# '
PS2='> '
PS3='#? '
PS4='+ '
PWD=/
RANDOM=13453
SECONDS=130
SHELL=/bin/ksh
TERM=vt100
TERM_DEFAULT=lft
TMOUT=0
TZ=NFT-1DFT
USER=root
WPTERM51=vt220
_=core
Comment 9 Reinder van der Veen 2001-05-14 08:20:06 EDT
Suspect you wanted to see something else.
Output `set` command on RH7.0 machine comming from AIX machine through rlogin:

BASH_ENV=/home/tstbus/.bashrc
COLORS=/etc/DIR_COLORS
HISTSIZE=1000
HOME=/home/tstbus
HOSTNAME=schim_linux1
IFS=' 
'
INPUTRC=/etc/inputrc
KDEDIR=/usr
KSH_VERSION='@(#)PD KSH v5.2.14 99/07/13.2'
LANG=en_US
LESSOPEN='|/usr/bin/lesspipe.sh %s'
LOGNAME=tstbus
LS_COLORS='no=00:fi=00:di=01;34:ln=01;36:pi=40;33:so=01;35:bd=40;33;01:cd=40;33;
01:or=01;05;37;41:mi=01;05;37;41:ex=01;32:*.cmd=01;32:*.exe=01;32:*.com=01;32:*.
btm=01;32:*.bat=01;32:*.sh=01;32:*.csh=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31
:*.taz=01;31:*.lzh=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.gz=01;31:*.bz2=01;31:
*.bz=01;31:*.tz=01;31:*.rpm=01;31:*.cpio=01;31:*.jpg=01;35:*.gif=01;35:*.bmp=01;
35:*.xbm=01;35:*.xpm=01;35:*.png=01;35:*.tif=01;35:'
MAIL=/var/spool/mail/tstbus
MAILCHECK=600
OLDPWD=/home/tstbus
OPTIND=1
PATH=/usr/kerberos/bin:/usr/local/bin:/bin:/usr/bin:/usr/X11R6/bin:/home/tstbus/
bin
PPID=19701
PS1='$ '
PS2='> '
PS3='#? '
PS4='+ '
PVM_ROOT=/usr/share/pvm3
PVM_RSH=/usr/bin/rsh
PWD=/user2/progs
QTDIR=/usr/lib/qt-2.2.0
RANDOM=30163
SECONDS=0
SHELL=/bin/ksh
TERM=vt100
TMOUT=0
USER=tstbus
USERNAME=
XPVM_ROOT=/usr/share/pvm3/xpvm
_=set
kdepath=/usr/bin
langfile=/home/tstbus/.i18n
sourced=1
Comment 10 Harald Hoyer 2001-06-18 09:37:23 EDT
btw, what is 
$ stty speed
in both cases?
Comment 11 Harald Hoyer 2001-08-01 02:38:44 EDT
Could you please retry with:
ftp://people.redhat.com/harald/telnet-0.17.6x-18.src.rpm
Bonus: security fixes to the recently discovered vulnerabilities
Comment 12 Stephen John Smoogen 2003-01-24 11:09:11 EST
Bug 8693 has been closed because of lack of information since 2001. Many changes
in the network code has occured between the 2.2 and 2.4 kernel, and most of the
telnet code seems to have had a couple once-overs since then. If this bug is
still occuring please reopen this bug against the current release.


Note You need to log in before you can comment on or make changes to this bug.